package com.xzzn.ems.domain.vo;

import java.math.BigDecimal;

/**
 * PCS支路数据
 *
 * @author xzzn
 * @date 2025-06-24
 */
public class PcsBranchInfo
{
    private static final long serialVersionUID = 1L;

    /** 放电状态 */
    private String dischargeStatus;

    /** 直流功率 (kW) */
    private BigDecimal dcPower;

    /** 直流电压 (V) */
    private BigDecimal dcVoltage;

    /** 直流电流 (A) */
    private BigDecimal dcCurrent;

    /** 站点id */
    private String siteId;

    /** 设备唯一标识符 */
    private String deviceId;

    /** 支路id */
    private String branchId;

    public String getDischargeStatus() {
        return dischargeStatus;
    }

    public void setDischargeStatus(String dischargeStatus) {
        this.dischargeStatus = dischargeStatus;
    }

    public BigDecimal getDcPower() {
        return dcPower;
    }

    public void setDcPower(BigDecimal dcPower) {
        this.dcPower = dcPower;
    }

    public BigDecimal getDcVoltage() {
        return dcVoltage;
    }

    public void setDcVoltage(BigDecimal dcVoltage) {
        this.dcVoltage = dcVoltage;
    }

    public BigDecimal getDcCurrent() {
        return dcCurrent;
    }

    public void setDcCurrent(BigDecimal dcCurrent) {
        this.dcCurrent = dcCurrent;
    }

    public String getSiteId() {
        return siteId;
    }

    public void setSiteId(String siteId) {
        this.siteId = siteId;
    }

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public String getBranchId() {
        return branchId;
    }

    public void setBranchId(String branchId) {
        this.branchId = branchId;
    }
}
